{-# LANGUAGE ExplicitNamespaces #-}
import Control.Applicative ((<**>))
import qualified Join (Config, config, run)
import Options.Applicative
  ( Parser, command, execParser, fullDesc, helper, info, progDesc, subparser )

data Hammer = Join Join.Config

hammer :: Parser Hammer
hammer = subparser
  (command "join" (info (Join <$> Join.config) $ progDesc "join two TSV files"))

main :: IO ()
main = execParser (info (hammer <**> helper) fullDesc) >>= run
  where run (Join c) = Join.run c
